





<h1>ATNF Pulsar Data Archive</h1>

<p>This archive provides access to pulsar observations taken at the Parkes radio telescope between the dates of 
<b> {$from_date_limit->ToDMYString2()} </b> and <b> {$to_date_limit->ToDMYString2()} </b>.</p>

<p>See the Users Guide link for more details. </p>

<table width="700" style="border: 0px;" summary="Query Form">
<tr align="center">
<td>
<!--<a class="top_menu" href="{$self}?PostAction=Logout">Logout</a>-->
<button onclick="PostActionString('Logout');"> Logout </button>
<!--a href="login?_action=logout">Logout</a-->

</td>
<td>
<a href="#" onClick="toggleInstructions();return false;">Instructions</a>
</td>
<td size="30">
&nbsp;
</td>
<td>
<a href="pulsar_archive_guide.html">Users Guide</a>
</td>
</tr>

</table>

<div id="divInstructions" style="display:none" >
<h2>Instructions</h2>
<i>To hide, click "Instructions" again. </i>
<dl class="top">
<dt> Display Parameters </dt>
<dd> Check the fields you want shown in the results table. Suggested columns are checked by default</dd>
<dd> The results can be ordered by one of the parameters in the "Order By" drop-down list</dd>
<dt> Coordinates </dt>
<dd> The sky position can be specified by a Pulsar name or a RA/Dec position. 
The pulsar name takes precedence. The search radius must be given. </dd> 
<dt> Filter Options </dt>
<dd> Results can be limited to observations just from a particular project - use the Project ID box</dd>
<dd> The date range can be specified - the defaults are the range of dates in the archive.</dd>
<dd> Either timing data (particular pulsar) or survey data can be specified. Or both! </dd> 
<dd> The type of instrument can be specified. Default is any type.</dd>
<dd> More than one frequency band can be specified.
<dt> Display Other </dt>
<dd> Calibraton observations taken within a given time period of the queried observations can also be shown and downloaded. Check the box to do so, and specify the time interval. </dd> 
</dl>
</div>











<!-- <input type="hidden" name="state" value="results"> -->



<table class="noborder">
  <tr><td><br></td></tr>
  
  <tr><td colspan=3>
	<center><button onclick="PostActionString('ConeQuery');" style="float: center;" > Perform Query </button> &nbsp;
	<input type="reset" value="Clear Form" name="reset_button" style="float: center;"></center>
  </td></tr>
  
  <tr><td><br></td></tr>

  <tr>
    <td valign="top">
      <fieldset>
        <legend>DISPLAY PARAMETERS</legend>
        <div id="list">
          {section name=ap loop=$all_parameters}
            <input onClick='updateSelectAll({$all_parameters[ap]},"show_parameters")' 
              type=checkbox
              name="show_parameters[]"
              value="{$all_parameters[ap]}"
	      {section name=sp loop=$show_parameters}
	         {if $all_parameters[ap] == $show_parameters[sp] } checked {/if}
	      {/section}
            /> {$all_parameters[ap]} <br>
          {/section}
        </div>
      </fieldset>
    </td>

    <td valign="top">	
      <table class="noborder">
        <tr>
          <td>
            <fieldset id="flsPosition">
              <legend>POSITION REQUIREMENTS</legend>

      <!-- Pulsar Name -->
      <fieldset>
        <legend>Pulsar Name</legend>
        <input type="text" name="pulsar_name" size="20" value="{$parameters->GetPulsarName()}">
        <br>

        <p>Note that search-by-name takes precedence over search-by-RA/Dec.</p>
      </fieldset>

      <br>

      <fieldset>
	<legend>Right Ascension (J2000)</legend>
		
		<input type="text" id="txtRAHour" name="ra_hour" size="3" tabindex="1" 
                        value="{$coordinates->GetRAHour()}"/>
		<label for="txtRAHour" class="coordinate"><abbr title="hours"><sup>h</sup></abbr></label>

					     
		    <input type="text" id="txtRAMinute" name="ra_min" size="3" tabindex="1" value="{$coordinates->GetRAMin()}"/>
		<label for="txtRAMinute" class="coordinate"><abbr title="minutes"><sup>m</sup></abbr></label>
		
		    <input type="text" id="txtRASecond" name="ra_sec" size="6" tabindex="1" value="{$coordinates->GetRASec()}"/>
		<label for="txtRASecond" class="coordinate"><abbr title="seconds"><sup>s</sup></abbr></label>
		</fieldset>
	
	        <fieldset>
		<legend>Declination (J2000)</legend>

		
		    <input type="text" id="txtDecDegree" name="dec_deg" size="3" tabindex="1" value="{$coordinates->GetDECDeg()}"/>
		<label for="txtDecDegree" class="coordinate"><abbr title="degrees">&deg;</abbr></label>
		
		    <input type="text" id="txtDecMinute" name="dec_min" size="3" tabindex="1" value="{$coordinates->GetDECMin()}"/>
		<label for="txtDecMinute" class="coordinate"><abbr title="minutes">&prime;</abbr></label>
		
		    <input type="text" id="txtDecSecond" name="dec_sec" size="6" tabindex="1" value="{$coordinates->GetDECSec()}"/>
		<label for="txtDecSecond" class="coordinate"><abbr title="seconds">&Prime;</abbr></label>
	        </fieldset>

                <br>

                <br>
	</fieldset>

        <fieldset id="flsSearchRadius">
	<legend>SEARCH WINDOW [arcmin]</legend>
	<input type="text" name="search_radius" size="20" tabindex="1" value="{$parameters->GetSearchRadius()}"/>
        </fieldset>
        </td></tr>
        
        <tr><td>
        <fieldset id="">
          <legend> ORDER RESULTS BY </legend>
          <table class="noborder" summary="Order Results By">
          <tr><td>
          <select name="order_col">
	    {section name=c loop=$order_choices}
	      <option value="{$order_choices[c]}"
                {if $order_choices[c] == $order_column} selected {/if}
                  > {$order_choices[c]}</option>
	    {/section}
          </select>
          {$order_dir}
          </td><td>
	    <input type=radio name="order_dir" value="asc"
                  {if $order_dir == 'asc'} checked {/if}
                  > Asc <br>
	    <input type=radio name="order_dir" value="desc"
                  {if $order_dir == 'desc'} checked {/if}
                  > Desc
          </td></tr>
          </table>
        </fieldset>
        </td></tr>
      </table>
    </td>
    
    <td valign="top">
      <table class="noborder">
        <tr>
          <td valign="top">
            <fieldset id="flsObsDate">
              <legend>FILTER OPTIONS</legend>

              <fieldset id="flsProjectID">
	        <legend>PROJECT ID</legend>
	        <input type="text" name="project_id" size="20" tabindex="1" value="{$parameters->GetProjectID()}"/>
              </fieldset>

              <!-- Date range -->
              <fieldset>
                <legend>Date Range</legend>
                &nbsp; From:
                <select name="from_day">
                  {section name=d loop=$days_in_month}
                    <option value="{$days_in_month[d]}" 
                      {if $from_date->GetDayOfMonth() == $days_in_month[d]} selected {/if}
                      >{$days_in_month[d]}
                    </option>
                  {/section}
                </select> 

                <select name="from_month">
                  {section name=m loop=$months_in_year}
                    <option value="{$months_in_year[m]}"
                  {if $from_date->GetMonthOfYearTxt() == $months_in_year[m]} selected {/if}
                      >
                      {$months_in_year[m]}
                    </option>
                  {/section}
                </select> 

                <select name="from_year">
                  {section name=y loop=$known_years}
                    <option value="{$known_years[y]}"
                      {if $from_date->GetYear() == $known_years[y]} selected {/if}
                      >
                      {$known_years[y]}
                    </option>
                  {/section}
                </select> 
                <br><br>To: 
                  <select name="to_day">
                    {section name=d loop=$days_in_month}
                      <option value="{$days_in_month[d]}" 
                        {if $to_date->GetDayOfMonth() == $days_in_month[d]} selected {/if}
                      >{$days_in_month[d]}</option>
                    {/section}
                  </select> 

                  <select name="to_month">
                    {section name=m loop=$months_in_year}
                      <option value="{$months_in_year[m]}"
                    {if $to_date->GetMonthOfYearTxt() == $months_in_year[m]} selected {/if}
                        >
                        {$months_in_year[m]}
                      </option>
                    {/section}
                  </select>

                  <select name="to_year">
                    {section name=y loop=$known_years}
                      <option value="{$known_years[y]}"
                        {if $to_date->GetYear() == $known_years[y]} selected {/if}
                        >
                        {$known_years[y]}
                      </option>
                    {/section}
                  </select>
		</fieldset><br>

                <!-- Obs Mode -->
                <fieldset>
                  <legend>Obs Mode</legend>

                  <select name="obs_mode" onchange="ObsModeChanged()" id="ObsModeList">
                    <option value="" {if $parameters->GetObsMode() == "any"}selected{/if} > Any </option>
                    <option value="timing" {if $parameters->GetObsMode() == "timing"}selected{/if}> Only timing data </option>
                    <option value="search" {if $parameters->GetObsMode() == "search"}selected{/if}> Only search data </option>
                  </select>
                </fieldset>

                <!-- Data Type -->
                <fieldset>
                  <legend>Data Type</legend>

                  <select name="data_type">
                    <option value="" selected> Any </option>
                    {section name=t loop=$valid_data_types}
                      <option value="{$valid_data_types[t]}"
                        {if $parameters->GetDataType() == $valid_data_types[t]} selected {/if}>
                      {$valid_data_types[t]}
                      </option>
                    {/section}
                  </select>
                </fieldset>

		<!-- Frequency band -->

                <fieldset>
                  <legend>Band Name</legend> 
                  <select id="selBand" name="bands[]" multiple="multiple" size="5">
                    <option value="">Any</option>
                    {section name=b loop=$valid_bands}
                      <option value="{$valid_bands[b]->GetName()}"
                        {section name=mb loop=$bands}
                          {if $bands[mb]->GetName() == $valid_bands[b]->GetName()} selected {/if}
                        {/section}
                        >{$valid_bands[b]->GetName()}&nbsp;{$valid_bands[b]->GetDescription()}
                      </option>
                    {/section}
                  </select>
                </fieldset>

              </fieldset>
       
              <fieldset id="flsCalsWindow">
                <legend> Display Other Data </legend>
                <input type="checkbox" name="add_cals"
                  {if $parameters->GetCalsWindow() != null} CHECKED {/if}
                />
                Get cals within
                <input type="text" name="cals_window" size="20" tabindex="2" value="{$parameters->GetCalsWindow()}"/>
                mins
              </fieldset>
<!--             </fieldset> -->
          </td>
        </tr>
      </table>
    </td>	
  </tr>
</table>
<br>
<br>
<br>
<br>
<br>
<br>


